2009-04-27  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #478239

	* camel-mbox-folder.c: (mbox_append_message):
	* camel-maildir-folder.c: (maildir_append_message):
	* camel-mh-folder.c: (mh_append_message):
	Check whether message has really attachment part when claiming so.

2009-04-24  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #563954

	* camel-mh-summary.c: (sort_uid_cmp), (camel_mh_summary_new):
	Little cleanup.
	* camel-mbox-folder.c: (mbox_cmp_uids), (mbox_sort_uids),
	(camel_mbox_folder_class_init):
	* camel-maildir-folder.c: (maildir_cmp_uids),
	(maildir_sort_uids), (camel_maildir_folder_class_init):
	Subslass sort and compare uids functions to compare based on the
	position in the mbox file or a received date for maildir, instead
	of uid values.

2009-04-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #571206

	* camel-maildir-summary.c: (message_info_new_from_header):
	Peek info from summary.
	* camel-maildir-summary.c: (maildir_summary_check),
	Reload summary from db if necessary.
	* camel-maildir-store.c: (fill_fi):
	* camel-mh-store.c: (fill_fi):
	Use 'camel_folder_summary_header_load_from_db'.

	* camel-local-summary.h: (struct _CamelLocalSummaryClass):
	* camel-local-summary.c: (local_summary_need_index):
	* camel-spool-summary.c: (spool_summary_need_index):
	Declare function prototype properly.

2009-04-24  Sergio Villar Senin  <svillar@igalia.com>

	** Fixes bug #573183
	
	* camel-maildir-summary.c (maildir_summary_check): only do
	closedir() if directory is not NULL

2009-03-01  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-local-folder.c: Fix for a deadlock,
	while recovering from folder-summary mismatch.

2009-02-27  Tobias Mueller <tobiasmue@svn.gnome.org>

	** Fixes bug 573183

	* camel-mbox-folder.c: (mbox_get_filename):
	Use a gint64 for a format string with the macro PRId64.
	Also, keep indentation in empty lines, e.g. add spaces. 

2009-02-25  Jeff Cai <jeff.cai@sun.com>

	** Fix for bug #567008

	* camel-local-summary.c: (camel_local_summary_class_init),
	(camel_local_summary_load), (local_summary_need_index):
	* camel-local-summary.h:
	* camel-spool-summary.c: (camel_spool_summary_class_init),
	(spool_summary_need_index):

	Avoiding the clearing of the uids in the spool summary 
	if forceindex is true.


2009-01-30  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #557348

	* camel-local-summary.c: (local_summary_add): Set flags and update
	cache

2009-01-28  Suman Manjunath  <msuman@novell.com>

	* camel-local-private.c:
	* camel-local-private.h:
	Include appropriate headers which otherwise cause build failures
	with strict compiler settings.

2009-01-28  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* camel-local-provider.[ch]: Move frompos_sort from
	camel-mbox-summary.c, and rename to camel_local_frompos_sort.
	And just return substraction a2 from a1.

	* camel-mbox-summary.c, camel-spool-summary.c: Use
	camel_local_frompos_sort for camel_db_set_collate.

2009-01-15  Suman Manjunath  <msuman@novell.com>

	* camel-mbox-folder.c (mbox_get_message): Fixed some compiler warnings.

2009-01-12  Srinivasa Ragavan  <sragavan@novell.com>

	* camel-mbox-folder.c: (mbox_get_message): Revert previous fix

2009-01-12  Srinivasa Ragavan  <sragavan@novell.com>

	* camel-mbox-folder.c: (mbox_get_message): Fix for better flag sync.
	Always send XEV headers with messages.

2008-10-14  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #552261

	* camel-local-summary.c: Include camel-db.h
	* camel-maildir-summary.c:
	* camel-mbox-summary.c:
	* camel-mh-summary.c:
	* camel-spool-summary.c:

2008-09-14  Matthew Barnes  <mbarnes@redhat.com>

	* camel-local-store.c (camel_local_store_finalize):
	Don't mix declarations and code.

2008-08-30  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-spool-summary.c: Fixed folder summary
	mismatch for spool

2008-08-20  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-maildir-summary.c: Make it use sort by
	dreceived from db.

2008-08-20  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-mh-summary.c: Implement in-db sort of
	m-h account types.

2008-08-20  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-mbox-summary.c: Fix some missing
	portions of folder summary mismatch

2008-08-20  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #213072

	* camel/providers/local/camel-mbox-summary.c: Sort mbox/spool summary
	uids by from_pos. 

2008-08-19  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Fix for bug #548331 

	* camel/providers/local/camel-mbox-summary.c: Put back the summary
	mismatch. It is more serious now.

2008-08-18  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-mbox-summary.c: When required just save
	the header and not all.

2008-08-18  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-mbox-summary.c: Continue, if the summary
	isn't loaded.

2008-08-18  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-mbox-summary.c: Fixes folder summary
	mismatch on expunge.

2008-08-18  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-mbox-summary.c: Revert old patch for
	folder summary mismatch. It corrupts even more.

2008-08-18  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-mbox-summary.c: Fix counts on expunge
	and on an expunge, save the contents to db.

2008-08-18  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-mbox-folder.c: Don't save to db on
	every append. Its quite expensive.

2008-08-18  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-mbox-summary.c: Fix counts while
	expunging.

2008-08-06  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #545877

	* camel-maildir-store.c:
	Use CamelDList instead of EDList.

2008-08-05  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-spool-summary.c: Load spool's summary
	before we need it to avoid any duplication.

2008-08-03  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-maildir-summary.c: Fix pstring crashes.

2008-07-31  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #540295

	* camel-local-store.c (xrename):
	Use g_rename() for all platforms.  Previous POSIX logic didn't
	work for VFAT filesystems.  (Patch by Sergio)

2008-07-31  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-local-store.c: Support delete folder wrt
	disk summary.

2008-07-30  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-local-folder.c: Move the folder lock to
	provider. This is a very very ugly hack.

2008-07-29  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #545099

	* camel/providers/local/camel-local-summary.c: Improve flag sync. Make
	it work for append mails

2008-07-28  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/providers/local/camel-mbox-summary.c: Fix compiler warnings.

2008-07-25  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #544031

	* camel-mbox-summary.c: (summary_header_to_db):
	Compiler warning cleanup.

2008-07-23  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #543943

	* camel-local-summary.c: (summary_header_from_db):
	Reassign structure member correctly, otherwise can cause a crash.
	* camel-maildir-store.c: (scan_dirs): Leak fix.

2008-07-18  Matthew Barnes  <mbarnes@redhat.com>

	* camel-local-summary.c: #include "camel-string-utils.h"

2008-07-16  Sankar P  <psankar@novell.com>

	Pushing disk summary changes from the madagascar branch

	* camel-local-folder.c (camel_local_folder_construct):
	* camel-local-store.c (camel_local_store_finalize):
	* camel-local-summary.c (camel_local_summary_class_init),
	(local_summary_load), (camel_local_summary_load),
	(local_summary_sync), (local_summary_add),
	(local_summary_decode_x_evolution), (summary_header_from_db),
	(summary_header_to_db), (message_info_new_from_header):
	* camel-maildir-summary.c (maildir_summary_check):
	* camel-mbox-store.c (fill_fi):
	* camel-mbox-summary.c (camel_mbox_summary_class_init),
	(summary_header_from_db), (summary_header_to_db),
	(message_info_new_from_header), (message_info_from_db),
	(message_info_to_db), (mbox_summary_sync_quick),
	(mbox_summary_sync):
	* camel-mh-summary.c (mh_summary_check):

2008-05-30  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #318803 (Patch by Ilkka Tuohela)

	* camel-maildir-store.c: (scan_dirs):
	Do not show ".#evolution" directory in the UI.

2008-05-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #531591

	* camel-spool-summary.c:
	* camel-local-provider.c:
	* camel-local-store.c:
	* camel-spool-store.c:
	* camel-mh-store.c:
	* camel-mbox-store.c:
	* camel-maildir-store.c:
	Don't use TeX-style quotes in user-visible messages.

2008-04-04  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #522433

	* camel-spool-summary.c: (spool_summary_sync_full):
	* camel-mh-summary.c: (mh_summary_next_uid_string),
	(camel_mh_summary_add):
	* camel-maildir-summary.c: (camel_maildir_summary_add):
	* camel-mbox-folder.c: (mbox_lock):
	* camel-spool-folder.c: (spool_lock): Open files with O_LARGEFILE flag.

2008-01-22  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #450840

	* camel-mbox-folder.c: (mbox_get_message): A corrupted summary that
	would get fine in next sync. So lets not crash if a message is not
	there.

2008-01-22  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #482940

	* camel-maildir-summary.c: (camel_maildir_summary_init),
	(camel_maildir_summary_finalise), (maildir_summary_check): Make the
	maildir summary check thread safe. May be needed for other functions
	too.

2008-01-16  Sankar P  <psankar@novell.com>

	* camel-mbox-summary.c: (mbox_summary_sync_quick),
	(camel_mbox_summary_sync_mbox):
	Changed error message to a better string as suggested by

	Wouter Bolsterlee <uws+gnome@xs4all.nl>

2008-01-16  Sankar P  <psankar@novell.com>

	* camel-mbox-summary.c: (mbox_summary_sync_quick),
	(fix_summary_mismatch), (camel_mbox_summary_sync_mbox):
	Avoids the infinite loop that might be caused in case
	of broken mbox files or null From addresses.

	** Part of fix for #213072

2008-01-16  Sankar P  <psankar@novell.com>

	* camel-mbox-summary.c: (mbox_summary_sync_quick),
	(fix_summary_mismatch), (camel_mbox_summary_sync_mbox):
	Remove the error condition that inits and persists 
	the infamous "folder summary mismatch" bug.

	** Fix for bug #213072

	** Let there be light at the end of the tunnel :)

2008-01-14  Philip Van Hoof  <pvanhoof@gnome.org>

	* camel-maildir-folder.c: Memory leak fix

2007-12-11  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #336074

	* camel-local-store.c: (local_can_refresh_folder),
	(camel_local_store_class_init): Implements its own CamelStore's
	can_refresh_folder function - any folder can be refreshed here.

2007-12-04  David Turner  <cillian64@googlemail.com>

	** Fix for bug #466499

	* camel-local-provider.c: Added mnemonics to configuration options

2007-12-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #500018

	* camel-local-provider.c: (CamelProvider mbox_provider):
	Allow choose files, instead of directories, for mbox.

2007-11-16  Matthew Barnes  <mbarnes@redhat.com>

	* camel-spool-store.c (free_folder_info):
	Missed that CamelSpoolStore has its own free_folder_info()
	implementation (why?).  Change it to use g_slice_free().

2007-11-14  Matthew Barnes  <mbarnes@redhat.com>

	** Merge a bunch of compiler warning fixes and cosmetic
	   cleanups from camel-lite.

2007-09-07  Kjartan Maraas  <kmaraas@gnome.org>

	* camel-maildir-summary.c: (maildir_summary_next_uid_string),
	(message_info_load), (maildir_summary_load),
	(maildir_summary_check):
	* camel-mbox-summary.c: (mbox_summary_sync_quick),
	(mbox_summary_sync):
	* camel-mh-store.c: (folders_update), (get_folder),
	(recursive_scan): More NULL vs 0 fixes.

2007-08-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #352346

	* camel-local-provider.c: (camel_provider_module_init):
	New provider spool_file_provider with virtual protocol 'spooldir'
	and set CAMEL_URL_NEED_PATH_DIR; registering this provider
	as copy for spool files.

2007-07-29  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #342164 from Lucky and Jared Moore

	* camel-mbox-summary.c: (mbox_summary_sync_full),
	(camel_mbox_summary_sync_mbox): Harmonize the strings.

2007-06-06  Jeffrey Stedfast  <fejj@novell.com>

	Robustness fix while making sure the code would properly handle
	disk-full problems.

	* camel-mbox-folder.c (mbox_append_message): Open the mbox w/
	O_LARGEFILE so that we support large files. After writing the
	message to the mbox, check camel_stream_flush() for error instead
	of camel_stream_close() so that we can continue re-using the same
	fd for ftruncate (we want to avoid having to re-open the file as
	it may not succeed). Also, ftruncate() can get EINTR, so loop.

2007-05-16  Jules Colding  <colding@omesc.com>

	* camel-spool-summary.c (spool_summary_sync_full): Use g_mkstemp()

2007-05-14  Jules Colding  <colding@omesc.com>

	* camel-mh-summary.c (mh_summary_next_uid_string): Do not close()
	if (fd == -1).

	* camel-spool-summary.c (spool_summary_sync_full): alloca()
	changed into malloc().  alloca() has undefined behaviour for stack
	overflow so it shouldn't really be used unless there is a *very*
	good reason. Cleanups related to this fix as well. Do not close()
	if (fd == -1).

2007-04-05  Ross Burton  <ross@openedhand.com>

	* camel-local-store.c: (get_folder):
	* camel-mbox-store.c: (get_folder), (create_folder),
	(rename_folder):
	* camel-spool-store.c: (spool_get_meta_path):
	Use g_mkdir_with_parents (#383686).

2007-03-05  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Fixes BGO #413268
	
	* camel-mbox-store.c:

	* camel-local-store.c (rename_folder, delete_folder):
	Rename/delete meta summary file.
	
2006-08-23  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #347905 by Matt Davey
	
	* camel-local-store.c: (create_folder): patch to fix mail folder 
	creation with MH back end.

2006-06-15  Andre Klapper  <a9016009@gmx.de>

	* camel-maildir-folder.c: 
	* camel-mbox-folder.c: 
	* camel-mh-folder.c:
	changing "cancelled" to "canceled" in user-visible strings.
	Fixes bug #342163.

2006-06-15  Tor Lillqvist  <tml@novell.com>

	* camel-mbox-summary.c (summary_update, mbox_summary_check)
	(mbox_summary_sync): Use g_stat() instead of plain stat() for full
	Unicode pathname support on Win32. These instances had gone
	unnoticed earlier.

2006-06-09  Chris Heath  <chris@heathens.co.nz>

	* camel-local-summary.c (message_info_new_from_header): Fix memory leak
	* camel-mbox-summary.c (message_info_new_from_header): Ditto.
	Fixes bug #335423.

2006-03-28  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mbox-summary.c (summary_update, mbox_summary_sync_full),
	(mbox_summary_sync_full, mbox_summary_sync_quick): Use O_LARGEFILE
	when opening the mbox file.

	* camel-mbox-store.c (get_folder): Use O_LARGEFILE when opening
	the mbox file.

	* camel-mbox-folder.c (mbox_append_message, mbox_get_message): Use
	O_LARGEFILE when opening the mbox file.

2006-03-28  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	** See bug 160889 on bugzilla.novell.com

	* camel-mbox-store.c: ignore *.ev-summary-meta extensions 
	when displaying folder lists

2005-12-09  Tor Lillqvist  <tml@novell.com>

	* camel-mbox-folder.c: Just #define O_BINARY as 0 on Unix, less
	ifdefs that way. Should really do this in some suitable header, of
	course, and not duplicate here and there.

2005-12-09  David Malcolm  <dmalcolm@redhat.com>

	* camel-local-folder.c: restore missing declarations for non-Win32 
	systems.

	* camel-mbox-folder.c: avoid use of O_BINARY on non-Win32 systems.

2005-12-08  Tor Lillqvist  <tml@novell.com>

	* *.c: Use gstdio wrappers. Use GLib portable path manipulation
	API. No symlinks on Win32. Use GDir instead of dirent.

	* camel-local-provider.c: Compile in only the mbox provider on Win32.

	* camel-mbox-folder.c: Bypass locking so far on Win32. Should
	implement, though, several threads in Evo might be accessing the
	same mbox folder.

	* camel-mbox-store.c: No inode numbers on Win32, but no symlinks
	either, so bypass the code to avoid visiting the same folder
	twice.

2005-09-15  Tor Lillqvist  <tml@novell.com>

	* camel-local-summary.c: Use g_ascii_strcasecmp() instead of
	strcasecmp(). The strings we are comparing are just ASCII anyway,
	so spell it out that we really do need ASCII casefolding only.

2005-08-22  Not Zed  <NotZed@Ximian.com>

	* camel-mbox-summary.c (mbox_summary_sync_quick): removed some
	unecessary debug.

2005-08-12  Not Zed  <NotZed@Ximian.com>

	* camel-local-folder.c (camel_local_folder_construct): dont sync
	folder on open, wait for a refresh_info to do it.

2005-08-12  Tor Lillqvist  <tml@novell.com>

	* Makefile.am: Use NO_UNDEFINED. Link with libcamel-provider,
	libcamel and CAMEL_LIBS. Include the mh, maildir and spool stores
	only on Unix.

	* camel-local-provider.c: Include the mh, maildir and spool stores
	only on Unix.

2005-04-17  Changwoo Ryu  <cwryu@debian.org>

	** See bug #300891
	
	* Makefile.am (INCLUDES): define
	CAMEL_EXPLICIT_TRANSLATION_DOMAIN.

	* camel-local-provider.c (camel_provider_module_init):
	set translation_domain in CamelProvider structs.

2005-08-08  Not Zed  <NotZed@Ximian.com>

	** See bug #311639.

	* camel-mh-store.c (folders_update): add a rename mode, fix
	callers.
	(folders_scan): pass top to folder_info_build, otherwise
	get_folder_info doesn't work right.  Fix the check for subfolder
	test.

2005-06-08  Not Zed  <NotZed@Ximian.com>

	** See bug #303225

	* camel-local-provider.c (local_url_equal): remove the checks for
	fields not used/appropriate for local resources.

2005-04-12  Not Zed  <NotZed@Ximian.com>

	* camel-local-provider.c (check_equal): make "" equal NULL for
	comparative purposes.

2005-03-18  Not Zed  <NotZed@Ximian.com>

	* camel-mbox-summary.c (mbox_summary_sync_quick): use a different
	fd for the mime parser, so the fd doesn't get closed twice.

2005-03-16  Not Zed  <NotZed@Ximian.com>

	** See bug #73401?

	* camel-mbox-summary.c (mbox_info_set_user_tag)
	(mbox_info_set_user_flag): do not flag xevchange here, these
	values are not stored in x-evolution-header anymore.

2005-02-24  Not Zed  <NotZed@Ximian.com>

	** See bug #57185

	* camel-mh-summary.c (mh_summary_sync_message): removed.  dont
	re-write people's mh mail just to add an xev header.  we should be
	looking at .mh_sequences or something.  Partial fix for #57185.

2005-02-24  Not Zed  <NotZed@Ximian.com>

	** See bug #59507

	* camel-spool-store.c (spool_get_full_path): handle mbox/elm cases
	explictly, not based on stat of path.
	(spool_get_meta_path): store all meta files in ~/.evolution
	somewhere.

	* camel-local-folder.c (camel_local_folder_construct): remove the
	special case test for a direct folder, leave it to subclasses to
	decide.

	* camel-local-store.c (local_get_trash, local_get_junk): calculate
	the state file based on the new store get_meta_path calls.  Also
	use the CAMEL_VJUNK_NAME, etc.

	* camel-local-folder.c, camel-local-store.c: Moved the
	get_meta_path and get_full_path routines to the store instead of
	the folder.  fix all subclasses.

2005-02-23  Not Zed  <NotZed@Ximian.com>

	** See bug #71812

	* camel-mbox-summary.c (camel_mbox_summary_sync_mbox): clear the
	working flags after we've successfully performed a full sync, they
	are no longer needed.

2005-02-01  Not Zed  <NotZed@Ximian.com>

	* camel-maildir-store.c (get_folder_info): set the
	folder type of inbox properly.

	* started new chnagelog.

